Bug 193958 - DMA access to cdrom hangs
DMA access to cdrom hangs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-03 07:42 EDT by Vegard Lima
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 14:49:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vegard Lima 2006-06-03 07:42:23 EDT
Description of problem:

Asus motherboard with ALi Corporation M5229 IDE (rev c8).
Programs accessing ide-cdroms are stuck in D-state when
DMA mode for cdrom in on.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2122_FC5

How reproducible:
Always when DMA is turned on.
Never when DMA if turned off.

Steps to Reproduce:
1. audiocd in cdrom drive
2. cdparanoia -Qv
  
Actual results:
cdparanoia hangs. From /var/log/messages:
kernel: ide-cd: cmd 0x3 timed out
kernel: hdb: lost interrupt
kernel: hdb: request sense failure: status=0x51 { DriveReady SeekComplete Error }
kernel: hdb: request sense failure: error=0xb0 { LastFailedSense=0x0b }
kernel: hda: lost interrupt
kernel: hdb: lost interrupt


Expected results:
List of songs on cd..

Additional info:
This bug seems to be similar to this one:
http://bugzilla.kernel.org/show_bug.cgi?id=5786
This was apparently fixed in 2.6.16.10 and was for rev c7 of Ali M5229.
I have rev c8 and 2.6.16-1.2122 should(?) include 2.6.16.10.

>lspci -v
00:1f.0 IDE interface: ALi Corporation M5229 IDE (rev c8) (prog-if fa)
        Subsystem: ASUSTeK Computer Inc. Unknown device 8056
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 16
        I/O ports at ff00 [size=16]
        Capabilities: [60] Power Management version 2
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
Comment 1 Dave Jones 2006-10-16 14:32:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Vegard Lima 2006-10-17 10:24:50 EDT
You can close this bug. I think this commit fixed it:
http://www.kernel.org/git/?p=linux/kernel/git/aegl/linux-2.6.git;a=commit;h=e11db063d86d0ef9d7903cb463bb542b5d4e9ddd


Note You need to log in before you can comment on or make changes to this bug.